Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoParamParamType Class Reference

Another helper class for parsing parameters like Keyword(arg1, arg2, ...). More...

`#include <eoParam.h>`

List of all members.

## Public Member Functions
| eoParamParamType (std::string _value)
std::ostream & | printOn (std::ostream &_os) const
std::istream & | readFrom (std::istream &_is)
void | readFrom (std::string &_value)

## Detailed Description

Another helper class for parsing parameters like Keyword(arg1, arg2, ...).

It is basically a std::pair<std::string,std::vector<std::string> > first std::string is keyword the std::vector<std::string> contains all arguments (as std::strings) See make_algo.h

Definition at line 373 of file eoParam.h.

The documentation for this class was generated from the following file:

- eoParam.h